/**
 */
package com.test.model.example;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see com.test.model.example.ExampleFactory
 * @model kind="package"
 *        annotation="http://www.eclipse.org/emf/2002/Ecore invocationDelegates='http://www.eclipse.org/emf/2002/Ecore/OCL/Pivot' settingDelegates='http://www.eclipse.org/emf/2002/Ecore/OCL/Pivot' validationDelegates='http://www.eclipse.org/emf/2002/Ecore/OCL/Pivot'"
 * @generated
 */
public interface ExamplePackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "example";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.test.com/example";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "com.test.model";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	ExamplePackage eINSTANCE = com.test.model.example.impl.ExamplePackageImpl.init();

	/**
	 * The meta object id for the '{@link com.test.model.example.impl.ClassAImpl <em>Class A</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.test.model.example.impl.ClassAImpl
	 * @see com.test.model.example.impl.ExamplePackageImpl#getClassA()
	 * @generated
	 */
	int CLASS_A = 0;

	/**
	 * The feature id for the '<em><b>Ref B</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASS_A__REF_B = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASS_A__NAME = 1;

	/**
	 * The number of structural features of the '<em>Class A</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASS_A_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link com.test.model.example.impl.ClassBImpl <em>Class B</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.test.model.example.impl.ClassBImpl
	 * @see com.test.model.example.impl.ExamplePackageImpl#getClassB()
	 * @generated
	 */
	int CLASS_B = 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASS_B__NAME = 0;

	/**
	 * The number of structural features of the '<em>Class B</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASS_B_FEATURE_COUNT = 1;


	/**
	 * Returns the meta object for class '{@link com.test.model.example.ClassA <em>Class A</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Class A</em>'.
	 * @see com.test.model.example.ClassA
	 * @generated
	 */
	EClass getClassA();

	/**
	 * Returns the meta object for the containment reference list '{@link com.test.model.example.ClassA#getRefB <em>Ref B</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Ref B</em>'.
	 * @see com.test.model.example.ClassA#getRefB()
	 * @see #getClassA()
	 * @generated
	 */
	EReference getClassA_RefB();

	/**
	 * Returns the meta object for the attribute '{@link com.test.model.example.ClassA#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see com.test.model.example.ClassA#getName()
	 * @see #getClassA()
	 * @generated
	 */
	EAttribute getClassA_Name();

	/**
	 * Returns the meta object for class '{@link com.test.model.example.ClassB <em>Class B</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Class B</em>'.
	 * @see com.test.model.example.ClassB
	 * @generated
	 */
	EClass getClassB();

	/**
	 * Returns the meta object for the attribute '{@link com.test.model.example.ClassB#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see com.test.model.example.ClassB#getName()
	 * @see #getClassB()
	 * @generated
	 */
	EAttribute getClassB_Name();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	ExampleFactory getExampleFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link com.test.model.example.impl.ClassAImpl <em>Class A</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.test.model.example.impl.ClassAImpl
		 * @see com.test.model.example.impl.ExamplePackageImpl#getClassA()
		 * @generated
		 */
		EClass CLASS_A = eINSTANCE.getClassA();

		/**
		 * The meta object literal for the '<em><b>Ref B</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CLASS_A__REF_B = eINSTANCE.getClassA_RefB();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CLASS_A__NAME = eINSTANCE.getClassA_Name();

		/**
		 * The meta object literal for the '{@link com.test.model.example.impl.ClassBImpl <em>Class B</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.test.model.example.impl.ClassBImpl
		 * @see com.test.model.example.impl.ExamplePackageImpl#getClassB()
		 * @generated
		 */
		EClass CLASS_B = eINSTANCE.getClassB();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CLASS_B__NAME = eINSTANCE.getClassB_Name();

	}

} //ExamplePackage
